> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qode.world/llms.txt
> Use this file to discover all available pages before exploring further.

# List candidate interviews

> Returns a paginated list of candidate interviews with optional filtering by type.



## OpenAPI

````yaml /api-reference/specs/integration.yaml get /integrations/candidates/interviews
openapi: 3.0.3
info:
  title: Integration Document
  version: 1.0.0
  description: API endpoints to ingest candidate data to Qode.
  x-mint:
    mcp:
      enabled: true
servers:
  - url: https://turing.gomu.ai/api/v1/
    description: Staging
  - url: https://turing.qode.world/api/v1/
    description: Production
security:
  - bearerAuth: []
paths:
  /integrations/candidates/interviews:
    get:
      tags:
        - Interviews
      summary: List candidate interviews
      description: >-
        Returns a paginated list of candidate interviews with optional filtering
        by type.
      operationId: listInterviews
      parameters:
        - $ref: '#/components/parameters/pageIndex'
        - $ref: '#/components/parameters/pageSize'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/type'
        - $ref: '#/components/parameters/talent_id'
      responses:
        '200':
          description: Paginated list of interviews
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterviewListResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    pageIndex:
      name: pageIndex
      in: query
      description: Page number, starting from 1
      schema:
        type: integer
        minimum: 1
        example: 1
    pageSize:
      name: pageSize
      in: query
      description: Number of items per page (1–100)
      schema:
        type: integer
        minimum: 1
        maximum: 100
        example: 100
    order:
      name: order
      in: query
      description: Sort order
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
        example: asc
    type:
      name: type
      in: query
      description: >-
        Filter interviews by type (STEM, NON_STEM, SOFTWARE_ENGINEER,
        DOCKER_INTERVIEW, DATA_SCIENTIST)
      required: false
      schema:
        type: string
        enum:
          - STEM
          - NON_STEM
          - SOFTWARE_ENGINEER
          - DOCKER_INTERVIEW
          - DATA_SCIENTIST
          - SENIOR_STAFF_ML
        example: STEM
    talent_id:
      name: talent_id
      in: query
      description: >-
        Filter interviews by talent ID. Returns only interviews created with the
        specified talent_id.
      required: false
      schema:
        type: string
        example: TUR-001
  schemas:
    InterviewListResponse:
      type: object
      properties:
        pageIndex:
          type: integer
          description: Current page number
          example: 1
        pageSize:
          type: integer
          description: Number of items per page
          example: 100
        total:
          type: integer
          description: Total number of interviews
          example: 6338
        results:
          type: array
          description: List of interview objects
          items:
            $ref: '#/components/schemas/CreateInterviewResponse'
    CreateInterviewResponse:
      type: object
      properties:
        interview_id:
          type: string
          example: >-
            4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74
        candidate_id:
          type: string
          example: 3173e43c-4066-48ce-1657-e505608b9b74
        iframe_url:
          type: string
          format: uri
          example: https://turing.qode.world/interview/1ubRv
        expires_at:
          type: string
          format: date-time
          example: '2025-12-07T15:34:37.464Z'
        email:
          type: string
          format: email
          example: example@gmail.com
        talent_id:
          type: string
          nullable: true
          description: >-
            The talent ID associated with this interview. Returns null if not
            provided during creation.
          example: TUR-001
        completion_status:
          type: string
          description: Current status of the interview.
          example: SCHEDULED
          enum:
            - SCHEDULED
            - STARTED
            - NO_SHOW
            - CANDIDATE_DROP_OFF
            - TECHNICAL_GLITCH
            - INTERVIEW_COMPLETED
            - REPORT_GENERATED
            - CANDIDATE_ABORTED
        session_id:
          type: string
          nullable: true
          description: ID of an interview session
          example: 4e9e55ee-63f3-4c04-87ec-82a1823a538d
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````